// Code concerning the data list

function pgwRefreshData() {
  var edit_deck=document.getElementById("edit_deck");

  switch (parseInt(edit_deck.selectedIndex)) {
  case 0:
    // About
    break;
  case 1:
    // User
    break;
  case 2:
    // FIle
    break;
  case 3:
    // Waypoints
    break;
  case 4:
    // Routes
    break;
  case 5:
    // Tracks
    break;
  case 6:
    // Waypoint
    break;
  case 7:
    // Route
    if (pgw_selected_route_id>0) {
      route=document.getElementById("route");
      route.setAttribute("datasources","route.rdf?id="+route_id+"&timestamp="+pgwTimestamp());
      route.builder.refresh();  
      /*
       * Quick & dirty, however a proper implementation would require
       * access to XPCOM / nsIRDFXMLSinkObserver, which is not
       * possible in the PyGpsWeb context.
       */
      setTimeout("pgwSynchronizeGoogleOverlays();",1000);
    } else {
      pgw_google_iframe.pgwDrawRoute([]);
    }	
    break;
  case 8:
    // Track
    break;
  }
}

function pgwSynchronizeGoogleOverlays() {
  var n=route.getRowCount();
  var array_lxy=[];
  for (var i=0;i<n;++i) {
    var item=route.getItemAtIndex(i);
    var label=item.childNodes[0].getAttribute("label");
    var x=parseFloat(item.childNodes[1].getAttribute("label"));
    var y=parseFloat(item.childNodes[2].getAttribute("label"));
    
    array_lxy.push([label,x,y]);
  }
  pgw_google_iframe.pgwDrawRoute(array_lxy);	
}

function pgwGetLastPathId(path) {
  bc=path.split("/");
  id=parseInt(bc[bc.length-1]);
  
  return id;
}

function pgwSelectEditDeck(id, caption) {
  var edit_deck=document.getElementById("edit_deck");
  var edit_caption=document.getElementById("edit_caption");

  edit_deck.selectedIndex=id;
  edit_caption.label=caption;
}

function pgwLeaveEdit() {
  pgwSelectEditDeck(0,"About");
}

function pgwEnterEditUser(id) {
  pgwSelectEditDeck(1,"User");
}

function pgwEnterEditFile(id) {
  pgwSelectEditDeck(2,"File");
}

function pgwEnterEditWaypoints(id) {
  pgwSelectEditDeck(3,"Waypoints");
}

function pgwEnterEditRoutes(id) {
  pgwSelectEditDeck(4,"Routes");
}

function pgwEnterEditTracks(id) {
  pgwSelectEditDeck(5,"Tracks");
}

function pgwEnterEditWaypoint(id) {
  pgw_selected_route_id=0;

  route=document.getElementById("route");
  route.setAttribute("ref","");
  route.setAttribute("datasources","");

  pgwSelectEditDeck(6,"Waypoint");
}

function pgwEnterEditRoute(id) {
  bc=id.split("/");
  user_id=parseInt(bc[bc.length-3]);
  file_id=parseInt(bc[bc.length-2]);
  route_id=parseInt(bc[bc.length-1]);
  pgw_selected_user_id=user_id;
  pgw_selected_file_id=file_id;
  pgw_selected_waypoint_id=0;
  pgw_selected_route_id=route_id;
  pgw_selected_track_id=0;

  route=document.getElementById("route");
  route.setAttribute("datasources","route.rdf?id="+route_id);
  route.setAttribute("ref","http://www.ufoot.org/pygpsweb/route/"+route_id);

  pgwSelectEditDeck(7,"Route "+route_id);
}

function pgwEnterEditTrack(id) {
  pgwSelectEditDeck(8,"Track");
}







