# -*- coding: ISO-8859-1 -*-
# Copyright (C) 2005 Christian Mauduit <ufoot@ufoot.org>

import os.path

from itools.handlers import get_handler
from itools import xml
#from itools import uri

def get_config_path():
    """Returns a filename in which a single route is stored,
    containing the actual emplacement of the config file.
    This indirection allows you to specify where you want
    the config file to be (/etc/pygpsweb.conf or anything
    else). Then in the config file you can set actual
    options values."""
    return os.path.dirname(__file__)+os.path.sep+"config.uri"

class Config:
    """This class is used to handle config options,
    stored in an XML file."""
    def __init__(self):
        """Constructor reads all options from disk and
        stores them for further use."""
        config_path=open(get_config_path())
        config_path_str=config_path.readline().rstrip()
        config=get_handler(config_path_str)
        config_path.close()
        self.params={}
        for node in config.get_root_element().get_elements():
            if node.name=="param":
                self.params[node.get_attribute(None,"name")]=node.get_attribute(None,"value")


