def src(namespace):
    """Generates a javascript output containing various consts.
    This was first thought to be done through RDF, in a more
    complicated yet more standard compliant manner, however doing
    this would require calling an XPCom component in Mozilla (to
    parse the RDF) and unfortunately one needs a signed application
    or a local application to do that. PyGpsWeb does not comply with
    this so we fallback on the good all hand made do,it yourself
    javascript code generation. Point is all constants are generated
    here, the rest of the javascript code is 100% static."""
    return """
// Constants calculated dynamically by server Python code
var pgw_cgi_bin="%(cgi_bin)s";
var pgw_soap_service="%(soap_service)s";
var pgw_map_width_px=%(map_width_px)d;
var pgw_map_height_px=%(map_height_px)d;
var pgw_long_min=%(map_init_long_min)f;
var pgw_long_max=%(map_init_long_max)f;
var pgw_lat_min=%(map_init_lat_min)f;
var pgw_lat_max=%(map_init_lat_max)f;
var pgw_move_factor=%(move_factor)f;
var pgw_zoom_factor=%(zoom_factor)f;
var pgw_absolute_long_min=%(absolute_long_min)f;
var pgw_absolute_long_max=%(absolute_long_max)f;
var pgw_absolute_lat_min=%(absolute_lat_min)f;
var pgw_absolute_lat_max=%(absolute_lat_max)f;
var pgw_google_init_zoom=%(google_init_zoom)d;
""" % namespace


