# -*- coding: ISO-8859-1 -*-
# Copyright (C) 2005 Christian Mauduit <ufoot@ufoot.org>

import time

import common

class Export(common.Common):
    """Handles namespace for the export page (common to GPX and KML)."""
    def __init__(self,context):
        """Initialize namespace from request parameters."""
        common.Common.__init__(self,context)
    
class ExportGpx(Export):
    """Handles namespace for the export page, GPX version."""
    def __init__(self,context):
        """Initialize namespace from request parameters."""
        Export.__init__(self,context)
        self.ns["author"]="Christian Mauduit"
        self.ns["url"]="http://www.ufoot.org/pygpsweb"
        self.ns["urlname"]="PyGpsWeb home page"
        self.ns["time"]=time.strftime("%Y-%m-%dT%H:%M:%SZ",time.localtime())
        self.ns["bounds"]={"minlat":48,
                           "minlon":2,
                           "maxlat":49,
                           "maxlon":3}
        self.ns["waypoints"]=[]
        self.ns["routes"]=[]
        db_routes=context.db.query_dict("SELECT route_id, route_gpsid, route_description FROM pygpsweb_route")
        number=1
        for db_route in db_routes: 
            route_id=db_route["route_id"]
            route={"name":db_route["route_gpsid"],
                   "desc":db_route["route_description"],
                   "number":number,
                   "routepoints":[]}
            db_routepoints=context.db.query_dict("SELECT waypoint_id, waypoint_gpsid, waypoint_symbol, waypoint_description, x(waypoint_geom) AS geom_x, y(waypoint_geom) AS geom_y, y(waypoint_geom) AS geom_z, routepoint_order FROM pygpsweb_waypoint, pygpsweb_route, pygpsweb_routepoint WHERE route_id=%d AND waypoint_id=routepoint_waypoint AND route_id=routepoint_route ORDER BY routepoint_order;" % route_id)
            idf=1
            for db_routepoint in db_routepoints:
                routepoint={"lon":str(db_routepoint["geom_x"]),
                            "lat":str(db_routepoint["geom_y"]),
                            "ele":str(db_routepoint["geom_z"]),
                            "time":"",
                            # Quick hack for a trip round Paris 8-)
                            # "name":db_routepoint["waypoint_gpsid"],
                            "name":"IDF%03d" % idf,
                            "cmt":"",
                            "desc":db_routepoint["waypoint_description"],
                            "sym":db_routepoint["waypoint_symbol"] or "WP_dot",
                            "type":""}
                idf=idf+1
                route["routepoints"].append(routepoint)
            number=number+1
            self.ns["routes"].append(route)
    

class ExportKml(Export):
    """Handles namespace for the export page, KML version."""
    def __init__(self,context):
        """Initialize namespace from request parameters."""
        Export.__init__(self,context)

        
