# -*- coding: ISO-8859-1 -*-
# Copyright (C) 2005 Christian Mauduit <ufoot@ufoot.org>

import common

class RouteRdf(common.Common):
    """Handles namespace for the route RDF datasource."""
    def __init__(self,context):
        """Initialize namespace from request parameters."""
        common.Common.__init__(self,context)
        route_id=int(context.form["id"])
        self.ns["data"]={"about":"","name":"","route":[]}
        rec=context.db.query_dict("SELECT route_gpsid, route_description FROM pygpsweb_route WHERE route_id=%d" % route_id)
        if rec:            
            self.ns["data"]["name"]=rec[0]["route_gpsid"]
            self.ns["data"]["description"]=rec[0]["route_description"]
            self.ns["data"]["about"]="http://www.ufoot.org/pygpsweb/route/%d" % route_id
            idf=1
            self.ns["data"]["route"]=[]
            recs=context.db.query_dict("SELECT waypoint_id, waypoint_gpsid, AsText(waypoint_geom) AS routepoint_textgeom, routepoint_order FROM pygpsweb_waypoint, pygpsweb_route, pygpsweb_routepoint WHERE route_id=%d AND waypoint_id=routepoint_waypoint AND route_id=routepoint_route ORDER BY routepoint_order;" % route_id);
            for rec in recs:
                coords=context.db.point2python(rec["routepoint_textgeom"])
                routepoint_id=int(rec["waypoint_id"])
                point={"about":"http://www.ufoot.org/pygpsweb/route/%d/%d" % (route_id,routepoint_id),                       
                       # Quick hack for a trip round Paris
                       # "id":routepoint_id,
                       "id":"IDF%03d"%idf, 
                       "name":rec["waypoint_gpsid"],
                       "long":str(coords[0]),
                       "lat":str(coords[1]),
                       "alt":str(coords[2])}                
                self.ns["data"]["route"].append(point)
                idf=idf+1

